install_ASGS {ASGS.foyer} | R Documentation

## Install a (nearly) complete package of the Australian Statistical Geography Standard

### Description

The ASGS package provides a nearly comprehensive set of shapefiles, both unmodified and simplified from the Australian Bureau of Statistics. The ASGS package is over 700 MB, so cannot be hosted on CRAN. This function allows the package to be distributed almost as conveniently as through CRAN.

Should you find ASGS lacks some shapefile that you require, please file an issue requesting it be added.

Note that the package is quite large and provides no limits on access, so it is preferred that distribution occur as far as possible via other channels to ensure the method of access provided here is sustainable.

### Usage

    install_ASGS(temp.tar.gz = tempfile(fileext = ".tar.gz"), overwrite = FALSE,
      lib = .libPaths()[1], repos = getOption("repos"),
      type = getOption("pkgType", "source"), ..., .reinstalls = 4L,
      verbose = FALSE)

### Arguments

`temp.tar.gz` | A file to save the ASGS tarball after download. Since the package is quite large, it may be prudent to set this to a non-temporary file so that subsequent attempts to reinstall do not require additional downloads.
`overwrite` | (logical, default: `FALSE`). If `temp.tar.gz` already exists, should it be overwritten or should there be an error?
`lib, repos, type` | Passed to `install.packages` when installing ASGS's dependencies (if not already installed).
`...` | Other arguments passed to `install.packages`.
`.reinstalls` | Number of times to attempt to install any (absent) dependencies of `ASGS` before aborting. Try restarting R rather than setting this number too high.
`verbose` | (logical, default: `FALSE`) Report logic paths?

### Value

`temp.tar.gz`, invisibly.

[Package ASGS.foyer version 0.2.1 Index]